edu.wpi.cscore

## Enum VideoMode.PixelFormat

- java.lang.Object
- - java.lang.Enum<VideoMode.PixelFormat>
  - - edu.wpi.cscore.VideoMode.PixelFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VideoMode.PixelFormat>
  Enclosing class:
    VideoMode

      public static enum VideoMode.PixelFormat
      extends java.lang.Enum<VideoMode.PixelFormat>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kBGR`
    `kGray`
    `kMJPEG`
    `kRGB565`
    `kUnknown`
    `kYUYV`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static VideoMode.PixelFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VideoMode.PixelFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kUnknown

          public static final VideoMode.PixelFormat kUnknown

    - #### kMJPEG

          public static final VideoMode.PixelFormat kMJPEG

    - #### kYUYV

          public static final VideoMode.PixelFormat kYUYV

    - #### kRGB565

          public static final VideoMode.PixelFormat kRGB565

    - #### kBGR

          public static final VideoMode.PixelFormat kBGR

    - #### kGray

          public static final VideoMode.PixelFormat kGray

  - ### Method Detail

    - #### values

          public static VideoMode.PixelFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoMode.PixelFormat c : VideoMode.PixelFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoMode.PixelFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()